AssociationIntProperty (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.enhancements.association.AssociationIntProperty class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.enhancements.association
Class AssociationIntProperty

    java.lang.Object
      org.apache.lucene.facet.enhancements.association.AssociationProperty
          org.apache.lucene.facet.enhancements.association.AssociationIntProperty

All Implemented Interfaces:
  Serializable, CategoryProperty

    public class AssociationIntProperty

extends AssociationProperty

An `AssociationProperty` which treats the association as int - merges two associations by summation.

See Also:
  Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.facet.enhancements.association.AssociationProperty
`association`

Constructor Summary
`AssociationIntProperty(int value)`

Method Summary
`boolean` | `equals(Object other)`
`int` | `hashCode()`
`void` | `merge(CategoryProperty other)` When adding categories with properties to a certain document, it is possible that the same category will be added more than once with different instances of the same property.

Methods inherited from class org.apache.lucene.facet.enhancements.association.AssociationProperty
`getAssociation, hasBeenSet, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssociationIntProperty

    public AssociationIntProperty(int value)

Parameters:
  `value` - The association value.

Method Detail

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### merge

    public void merge(CategoryProperty other)

  Description copied from interface: `CategoryProperty`
  When adding categories with properties to a certain document, it is possible that the same category will be added more than once with different instances of the same property. This method defined how to treat such cases, by merging the newly added property into the one previously added. Implementing classes can assume that this method will be called only with a property of the same class.

  Parameters:
    `other` - The category property to merge.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD